<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Transactions_TA_UI_Transactions_ManualEntryImport, App_Web_c55clzp2" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/import.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_ImportEmployeeHeader" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="col-md-12" style="color: Red; display: none">
            <span class="fa fa-asterisk"></span>
        </div>
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-2">
                </div>
                <div class="col-sm-2 col-sm-offset-8">
                    <div class="pull-right">
                        <h6>
                            <span style="color: Red">|</span><span style="padding-left: 10px; padding-right: 10px"><asp:Label
                                ID="lbl_IndicatesMandatoryFields" Visible="True" runat="server" Text="Mandatory"></asp:Label>
                                (1 No.)</span>
                        </h6>
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>
        <div class="emp-filter" style="padding-top: 0px; padding-bottom: 0px">
            <div class="form-horizontal">
                <div class="row">
                    <div class="col-md-12" style="padding-top: 20px; padding-bottom: 20px">
                        <div class="row form-group">
                            <div class="col-md-2">
                                <span style="color: Red">|</span>
                                <asp:Label ID="lbl_ImportFilePath" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-4">
                                <asp:FileUpload ID="fp_ManualEntryImport" runat="server" CssClass="form-control" />
                            </div>
                        </div>
                        <div class="row form-group" style="display: none" id="importOption" runat="server">
                            <div class="col-md-2">
                                <asp:Label ID="Label1" runat="server" Text="Upload for"></asp:Label>
                            </div>
                            <div class="col-md-4">
                                <asp:RadioButtonList ID="rblupload" runat="server" RepeatDirection="Horizontal" CssClass="radio radio-primary">
                                    <asp:ListItem Text="&nbsp;Approved In and Out" Selected="True"></asp:ListItem>
                                    <asp:ListItem Text="&nbsp;Shift"></asp:ListItem>
                                </asp:RadioButtonList>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                            </div>
                            <div class="col-md-4">
                                <div class="pull-right-button">
                                    <asp:LinkButton ID="btnTemplate" CssClass="btn save-btn fa-download" runat="server"
                                        OnClick="btnTemplate_Click" />
                                    <asp:LinkButton ID="btn_Upload" CssClass="btn save-btn fa-upload" runat="server"
                                        OnClick="btn_Upload_Click" />
                                    <asp:LinkButton ID="btn_Cancel" CssClass="btn save-btn fa-angle-left" runat="server"
                                        OnClick="btn_Cancel_Click" Visible="false" />
                                </div>
                            </div>
                        </div>
                        <%--<style type="text/css">
                            .colspan3 {
                                width: 300px; /*3 times the standard cell width of 100px - colspan3 */
                            }

                            .rowspan11 {
                                height: 150px; /* 5 times the standard height of a cell - rowspan5 */
                            }
                        </style>
                        <div class='rowspan11'></div>--%>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="pull-right-button">
                                    <asp:LinkButton ID="btnDelete" CssClass="btn del-btn fa-trash-o" runat="server"
                                        Visible="false" OnClick="btnDelete_Click" Text="&nbsp;&nbsp;Clear" Style="margin-left: 0px" />
                                </div>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-12">
                                <dxGridview:ASPxGridView ID="gvImportMaster" EnableCallBacks="false" runat="server"
                                    ClientInstanceName="gvImportMaster" AutoGenerateColumns="false" Width="100%">
                                    <Columns>
                                        <dxGridview:GridViewDataTextColumn Caption="Record Number" FieldName="RecordID"
                                            VisibleIndex="0" Width="100px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblRecordNumber" Text='<%# Eval("SlNO") %>' runat="server"></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="Error Message" FieldName="Err_Msg" VisibleIndex="1">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblError" Text='<%# Eval("ErrorMsg") %>' runat="server"></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                    </Columns>
                                    <SettingsText EmptyDataRow="No Records Found" />
                                    <SettingsPager PageSize="1000">
                                    </SettingsPager>
                                    <SettingsBehavior SortMode="Value" AllowSort="true" AllowDragDrop="false" />
                                    <Styles AlternatingRow-CssClass="table-bg">
                                    </Styles>
                                </dxGridview:ASPxGridView>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="callout callout-info" style="margin-bottom: 0!important;">
                                    <asp:Label ID="lblImportNote" runat="server" Text="Important Notes :"></asp:Label>
                                </div>
                                <br />
                                <ul>
                                    <li>
                                        <asp:Label ID="lblnotes1" runat="server" Text="Don't remove / modify any field in the downloaded template file while importing. 
                                        if you remove / modify any field in the downloaded template file and then upload means, it will not allow to upload data."></asp:Label>
                                    </li>
                                    <li>
                                        <asp:Label ID="lblnotes2" runat="server" Text="While importing, check whether the file has been opened or not. If it is opened try an import after closing the file which is minimized in the taskbar."></asp:Label>
                                    </li>
                                    <li>
                                        <asp:Label ID="lblcon" runat="server" Text="Kindly use <B>dd-MMM-yyyy</B> format for Manual Time Entry Data Import. Refer the sample data available with in the Downloaded template."></asp:Label>
                                    </li>
                                    <li>
                                        <asp:Label ID="lblnotes4" runat="server" Text="Save the file as <B>.csv</B> format before import."></asp:Label>
                                    </li>
                                    <li>
                                        <asp:Label runat="server" Text="If you are using free scan devices, you can import shiftout punches as <B>Shift In</B> or <B>In</B> in Out_Punch_Type field "></asp:Label>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
