﻿<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Transactions_TA_UI_Transactions_PermissionSanctionView_Angler, App_Web_sbczexe5" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web"
    TagPrefix="dxe" %>
<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<asp:Content ID="ConPermissionSanctionView" ContentPlaceHolderID="BodyContentPH"
    runat="Server">
    <script src="../plugins/datepicker/jquery-1.11.1.min.js"></script>
    <script language="javascript" src="../js/jquery.autocomplete.js" type="text/javascript"></script>
    <script src="../plugins/datepicker/bootstrap-datepicker.js"></script>
    <script type="text/javascript">        
       $(function () {                
            $('#ctl00_BodyContentPH_txtFromDate').datetimepicker({format: document.getElementById('ctl00_BodyContentPH_Hidden1').value}
            );
        });
        $(function () {                
            $('#ctl00_BodyContentPH_txtToDate').datetimepicker({format: document.getElementById('ctl00_BodyContentPH_Hidden1').value}
            );
        });      
    </script>
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/lve-san.png'); background-repeat: no-repeat;
            padding-left: 35px">
            <asp:Label ID="lbl_HeaderPermissionSanction" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row form-group">
                    <div class="col-md-12">
                        <div class="table-responsive" style="padding-bottom: 10px">
                            <dxGridview:ASPxGridView ID="gdPermissionSanctionView" EnableCallBacks="false" runat="server"
                                ClientInstanceName="gdPermissionSanctionView" AutoGenerateColumns="false" Width="100%"
                                OnHtmlRowCreated="gdPermissionSanctionView_HtmlRowCreated">
                                <Columns>
                                    <dxGridview:GridViewDataTextColumn Caption="Employee Name" FieldName="Employee_FirstName"
                                        VisibleIndex="0">
                                        <Settings AllowDragDrop="False" />
                                        <DataItemTemplate>
                                                <asp:Label Style="float: left; overflow-y: auto; overflow-x: auto; word-break: break-all;
                                                    word-wrap: break-word; display: inline-block;" ID="lblEmployeeName"
                                                    runat="server" Text='<%# Eval("Employee_FirstName")%>'></asp:Label>
                                            </a>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center"  Wrap="true" BackColor="#5172AD" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <%-- Added by Manjula.P on 21-Apr-2014 for Levelname--%>
                                    <dxGridview:GridViewDataTextColumn FieldName="levelname" Caption="Level Name" VisibleIndex="1"
                                        Width="140px">
                                        <Settings AllowDragDrop="False" />
                                        <DataItemTemplate>
                                            <asp:Label ID="lbl_level" runat="server" Text='<%# Eval("levelname") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center"  Wrap="true" BackColor="#5172AD" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <%--************************************************--%>
                                    <dxGridview:GridViewDataTextColumn FieldName="Permission_AppliedDate" VisibleIndex="2"
                                        Width="120px">
                                        <Settings AllowDragDrop="False" />
                                        <DataItemTemplate>
                                            <asp:Label ID="PermissionAppliedDate" runat="server" Text='<%# Bind("Permission_AppliedDate") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" BackColor="#5172AD" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="Duration" VisibleIndex="3" Width="220px">
                                        <Settings AllowDragDrop="False" />
                                        <DataItemTemplate>
                                            <asp:Label ID="lbl_Duration" runat="server" Text='<%# Bind("Duration") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AllowAutoFilter="False" />
                                        <HeaderStyle HorizontalAlign="center"  Wrap="true" BackColor="#5172AD" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="Permission_Status" VisibleIndex="4"
                                        Width="80px">
                                        <Settings AllowDragDrop="False" />
                                        <DataItemTemplate>
                                            <asp:Label ID="lblPermissionStatus" runat="server" Text='<%# Bind("Permission_Status") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center"  Wrap="true" BackColor="#5172AD" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <%-- Added by Manjula.P on 21-Apr-2014 for Levelname--%>
                                    <dxGridview:GridViewDataTextColumn FieldName="permission_reason" VisibleIndex="5"
                                        Width="180px">
                                        <Settings AllowDragDrop="False" />
                                        <DataItemTemplate>
                                            <asp:Label ID="lblPermissionReason" runat="server" Text='<%# Bind("permission_reason") %>'>
                                            </asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center"  Wrap="true" BackColor="#5172AD" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <%--************************************************--%>
                                    <dxGridview:GridViewDataColumn FieldName="Permission_FromTime" VisibleIndex="6" Visible="false">
                                    </dxGridview:GridViewDataColumn>
                                    <dxGridview:GridViewDataColumn FieldName="Permission_ToTime" VisibleIndex="7" Visible="false">
                                    </dxGridview:GridViewDataColumn>
                                    <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                        CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="30px" VisibleIndex="8">
                                        <Settings AllowAutoFilter="false" />
                                        <DataItemTemplate>
                                            <a data-toggle="modal" title="Edit" 
                                           href="TA_UI_Transactions_PermissionSanctionModify_Angler.aspx?Permission_Id=<%# Eval("Permission_Id") %>&LevelId=<%=Request.QueryString["LevelId"]%>&Status=<%=Request.QueryString["Status"]%>&From_Date=<%=Request.QueryString["From_Date"]%>&To_Date=<%=Request.QueryString["To_Date"]%>&strSwipeCardNo=<%=Request.QueryString["strSwipeCardNo"]%>&strEmployeeName=<%=Request.QueryString["strEmployeeName"]%>&strEmployeeCodeId=<%=Request.QueryString["strEmployeeCodeId"]%>">
                                           <span class="btn btn-defalut edit-icons"></span></a>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" CssClass="empheader" />
                                    </dxGridview:GridViewDataColumn>
                                </Columns>
                                <Settings ShowGroupFooter="VisibleAlways" />
                                <SettingsPager PageSize="10">
                                </SettingsPager>
                                <SettingsText EmptyDataRow="No Records Found" />
                                <Settings ShowFilterRow="true" />
                              <SettingsBehavior SortMode="Value" AllowSort="true" AllowDragDrop="true" />
                                <Styles CssFilePath="../bootstrap/css/GridView.css" AlternatingRow-CssClass="table-bg">
                                </Styles>
                            </dxGridview:ASPxGridView>
                        </div>
                    </div>
                </div>
                <div class="row" style="margin-bottom: 0px">
                    <div class="col-md-12" align="right">
                         <asp:LinkButton ID="btnBack" runat="server" CssClass="btn save-btn fa-angle-left" OnClick="btnBack_Click" />
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
