<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Masters_TA_UI_Master_EmployeeTypeAdd, App_Web_aobdxrgn" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <!--[if gt IE 5.5]>
	<link rel="stylesheet" type="text/css" href="../css/ProgressforIE.css" />
 <![endif]-->
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/emplyee-type.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_Header" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <asp:UpdatePanel ID="upLeave" runat="server">
        <ContentTemplate>
            <asp:Panel ID="pnlProgress" runat="server" Style="display: none;">
                <asp:Panel ID="pnlLoading" runat="server" HorizontalAlign="center">
                    <div class="InsideProgressBar">
                        <div class="row" style="margin-top: 10px">
                            <img src="../dist/img/logo-Progress.png" />
                        </div>
                        <div class="row" style="min-width: 280px">
                            <img src="../dist/img/default.gif" style="width: 100px" />
                        </div>
                        <div class="row" style="margin-bottom: 10px">
                            <asp:Label ID="lblLoading" runat="server" ForeColor="black" Style="text-align: center"
                                Text="Please Wait..." Font-Bold="true" Font-Size="12px" Font-Italic="true" Font-Family="Arial"></asp:Label>
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                </asp:Panel>
            </asp:Panel>
            <asp:HiddenField ID="hdnProgress" runat="server" />
            <cc1:ModalPopupExtender ID="popupProgress" runat="server" TargetControlID="hdnProgress"
                BackgroundCssClass="ModalPopup" PopupControlID="pnlProgress" BehaviorID="popupProgress">
            </cc1:ModalPopupExtender>
        </ContentTemplate>
    </asp:UpdatePanel>
    <div class="content">
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-12">
                    <div class="pull-right">
                        <h6>
                            <span style="color: Red">|</span><span style="padding-left: 10px; padding-right: 10px"><asp:Label
                                ID="lbl_IndicatesMandatoryFields" runat="server"></asp:Label>
                                (1 No.)</span>
                        </h6>
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row">
                    <div class="col-md-12">
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lbl_Type" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtType" runat="server" CssClass="form-control man-dat"
                                    MaxLength="50" onkeypress="return chkMaxLen(event,this,50,MaxLength);"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="txtType"
                                    ErrorMessage="Enter Type" SetFocusOnError="True" Display="None" ValidationGroup="EmpTypeAdd">*</asp:RequiredFieldValidator>
                            </div>
                        </div>
                        <div class="row" style="display: none">
                            <div class="col-md-12">
                                <asp:Label ID="lblFlexibleTimings" runat="server"></asp:Label><font color="#FF0000">*
                                </font>
                            </div>
                            <div class="col-md-12">
                                <asp:RadioButton ID="rbtnFlexibleYes" runat="server" GroupName="Flexible" />
                                <asp:RadioButton ID="rbtnFlexibleNo" runat="server" GroupName="Flexible" Checked="true" />
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-12">
                                <asp:CheckBox ID="chkboxMyprofile" runat="server" CssClass="checkbox checkbox-primary checkbox-circle" Text="Display My Profile option to Employees" />
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2">
                            </div>
                            <div class="col-md-3">
                                <div class="pull-right-button">
                                    <asp:LinkButton ID="btn_save" runat="server" CssClass="btn save-btn fa-floppy-o"
                                        OnClick="btn_save_Click" />
                                    <asp:LinkButton ID="btn_Cancel" runat="server" CausesValidation="false" CssClass="btn save-btn fa-angle-left"
                                        OnClick="btn_Cancel_Click" />
                                    <asp:ValidationSummary ID="ValidationSummary1" runat="server" ShowMessageBox="True"
                                        ValidationGroup="EmpTypeAdd" ShowSummary="False" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        var MaxLength = "Maximum length is ";
        function MaxLengthh(maxLength) {
            MaxLength = maxLength;
        }
    </script>

</asp:Content>
