<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Reports_TA_UI_Report_EmployeeInOut, App_Web_cre5bs5d" %>

<%@ Register Src="~/UserControls/TA_uc_OrganizationLevels.ascx" TagName="OrganizationLevel"
    TagPrefix="uc" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <!--[if gt IE 5.5]>
	<link rel="stylesheet" type="text/css" href="../css/anytimeIE.css" />
	<link rel="stylesheet" type="text/css" href="../css/ProgressforIE.css" />
 <![endif]-->
    <div class="content-header" id="conHeader" runat="server">
        <h1 style="background-image: url(../dist/img/swipe-icon.png); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lblReport" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-2">
                    <div class="inr-fil-text">
                        <asp:Label ID="lblFilter" runat="server" Text="Filters"></asp:Label>
                        <asp:Label ID="Label1" runat="server" Visible="false"></asp:Label>
                        <input id="Hidden3" type="hidden" value='<% Response.Write(Convert.ToString(Session["IDateFormat"])); %>' />
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>
        <div id="collapseOne">
            <div class="emp-filter">
                <div class="form-horizontal">
                    <asp:HiddenField ID="Hidden1" runat="server" />
                    <asp:HiddenField ID="hdnReportFilters" runat="server" />
                    <asp:HiddenField ID="hdnReportType1" runat="server" />
                    <asp:HiddenField ID="hdnCompanyId1" runat="server" />
                    <div id="divEmployeeDetails" runat="server">
                        <div class="row" style="display: none;">
                            <div class="col-md-3">
                                <asp:Label ID="lblEmpSwipe" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtSwipeCard" MaxLength="20" runat="server"
                                    CssClass="form-control" onkeypress="return acceptCharsNum_MaxLength(event,this,20,MaxLength);"></asp:TextBox>
                                <cc1:AutoCompleteExtender ID="acSwipeCardNo" runat="server" CompletionSetCount="10"
                                    CompletionListItemCssClass="item" CompletionListHighlightedItemCssClass="AutocompleteCSS"
                                    CompletionInterval="10" Enabled="true" MinimumPrefixLength="1" TargetControlID="txtSwipeCard"
                                    ServicePath="../WebServices/AutoCompleteExtender.asmx" ServiceMethod="GetCardNoForReports"
                                    CompletionListCssClass="autocomplete_completionListElement" FirstRowSelected="true">
                                </cc1:AutoCompleteExtender>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblEmployeeName" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtEmployeeName" runat="server" CssClass="form-control"
                                    Style="resize: none" TextMode="multiLine"></asp:TextBox>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblEmployeeId" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtEmployeeId" runat="server" CssClass="form-control"
                                    Style="resize: none" TextMode="multiLine"></asp:TextBox>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblEmpCategory" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlEmpCatagory" runat="server" CssClass="form-control select2"
                                    AppendDataBoundItems="true">
                                    <asp:ListItem Value="0" Selected="True" Text="-Select-"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblEmpType" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlEmpType" runat="server" CssClass="form-control select2"
                                    AppendDataBoundItems="true">
                                    <asp:ListItem Value="0" Selected="True" Text="-Select-"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblDesignation" runat="server" Text="Designation"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlDesignation" runat="server" CssClass="form-control select2"
                                    AppendDataBoundItems="true">
                                    <asp:ListItem Value="0" Selected="True" Text="All"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblGender" runat="server" Text="Gender"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlGender" runat="server" CssClass="form-control select2">
                                    <asp:ListItem Value="Both" Text="Both"></asp:ListItem>
                                    <asp:ListItem Value="Male" Text="Male"></asp:ListItem>
                                    <asp:ListItem Value="Female" Text="Female"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="display: none;">
                        <div class="col-md-2">
                            <asp:Label ID="lblMonth" Text="Month" runat="server"></asp:Label>
                            <strong><span style="color: red">*</span></strong>
                        </div>
                        <div class="col-md-3">
                            <asp:DropDownList ID="ddlMonth" runat="server" CssClass="form-control select2">
                                <asp:ListItem Value="Select" Text="Select"></asp:ListItem>
                                <asp:ListItem Value="1" Text="January"></asp:ListItem>
                                <asp:ListItem Value="2" Text="February"></asp:ListItem>
                                <asp:ListItem Value="3" Text="March"></asp:ListItem>
                                <asp:ListItem Value="4" Text="April"></asp:ListItem>
                                <asp:ListItem Value="5" Text="May"></asp:ListItem>
                                <asp:ListItem Value="6" Text="June"></asp:ListItem>
                                <asp:ListItem Value="7" Text="July"></asp:ListItem>
                                <asp:ListItem Value="8" Text="August"></asp:ListItem>
                                <asp:ListItem Value="9" Text="September"></asp:ListItem>
                                <asp:ListItem Value="10" Text="October"></asp:ListItem>
                                <asp:ListItem Value="11" Text="November"></asp:ListItem>
                                <asp:ListItem Value="12" Text="December"></asp:ListItem>
                            </asp:DropDownList>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="ddlMonth"
                                Display="None" ErrorMessage="Select Month" InitialValue="Select"></asp:RequiredFieldValidator>
                        </div>
                        <div class="col-md-1">
                        </div>
                        <div class="col-md-2">
                            <asp:Label ID="lblYear" Text="Year" runat="server"></asp:Label>
                            <strong><span style="color: red">*</span></strong>
                        </div>
                        <div class="col-md-3">
                            <asp:DropDownList ID="ddlYear" runat="server" CssClass="form-control select2">
                            </asp:DropDownList>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="ddlYear"
                                Display="None" ErrorMessage="Select Year" InitialValue="Select"></asp:RequiredFieldValidator>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-2">
                            <asp:Label ID="lblReportType" Text="Type" runat="server"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:RadioButtonList ID="rbReportType" CssClass="radio radio-primary" runat="server"
                                AutoPostBack="true" RepeatDirection="Horizontal" OnSelectedIndexChanged="rbReportType_SelectedIndexChanged">
                                <asp:ListItem Value="0" Text="Summary" Selected="True"></asp:ListItem>
                                <asp:ListItem Value="1" Text="Detailed"></asp:ListItem>
                            </asp:RadioButtonList>
                        </div>
                        <div class="col-md-1">
                        </div>
                        <div class="col-md-2">
                            <asp:Label ID="lblreportby" Text="By" runat="server" Visible="false"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:UpdatePanel ID="UpdatePanel3" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <asp:DropDownList ID="ddlReportBy" runat="server" Visible="false" CssClass="form-control select2">
                                        <asp:ListItem Value="0" Text="Both"></asp:ListItem>
                                        <asp:ListItem Value="1" Text="First 15 days"></asp:ListItem>
                                        <asp:ListItem Value="2" Text="Next 15 days"></asp:ListItem>
                                    </asp:DropDownList>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                    <div id="divdateTime" runat="server">
                        <div class="clearfix">
                        </div>
                        <div class="row">
                            <div class="row">
                                <div class="line16">
                                </div>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblDateFilter" runat="server" Text="Date Filter"></asp:Label>
                            </div>
                            <div class="Pad-left-7px">
                                <div class="col-md-2 Session-padLeftrtp">
                                    <asp:RadioButton ID="rbCustom" runat="server" Text="Custom" CssClass="radioLeave radioLeave-primary"
                                        GroupName="rpt" onchange="ajaxGetDate(3);" Checked="true" />
                                </div>
                                <div class="col-md-2">
                                    <asp:RadioButton ID="rbpreviousweek" runat="server" Text="Previous Week" CssClass="radioLeave radioLeave-primary"
                                        GroupName="rpt" onchange="ajaxGetDate(1);" />
                                </div>
                                <div class="col-md-2">
                                    <asp:RadioButton ID="rbThisweek" runat="server" Text="This Week" CssClass="radioLeave radioLeave-primary"
                                        GroupName="rpt" onchange="ajaxGetDate(0);" />
                                </div>
                                <div class="col-md-2">
                                    <asp:RadioButton ID="rbpreviousMonth" runat="server" Text="Previous Month" CssClass="radioLeave radioLeave-primary"
                                        GroupName="rpt" onchange="ajaxGetDate(5);" />
                                </div>
                                <div class="col-md-2">
                                    <asp:RadioButton ID="rbThisMonth" runat="server" Text="This Month" CssClass="radioLeave radioLeave-primary"
                                        GroupName="rpt" onchange="ajaxGetDate(4);" />
                                </div>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblTimePeriod" runat="server"></asp:Label>-<asp:Label ID="lblFrom"
                                    runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtFromDate" runat="server" MaxLength="11"
                                    CssClass="form-control">
                                </asp:TextBox>
                                <asp:RequiredFieldValidator ID="regFromDate" runat="server" ControlToValidate="txtFromDate"
                                    Display="None" EnableClientScript="False" ErrorMessage="Enter FromDate"></asp:RequiredFieldValidator>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblTo" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtToDate" runat="server" MaxLength="11"
                                    CssClass="form-control">
                                </asp:TextBox>
                                <asp:CustomValidator ID="cus_ToDate" OnServerValidate="ValidateToDate" runat="server"
                                    EnableClientScript="False" Display="None"></asp:CustomValidator>
                                <asp:CustomValidator ID="cus_ComToDate" runat="server" EnableClientScript="False"
                                    OnServerValidate="CompareDate" Display="None"></asp:CustomValidator>
                                <asp:RequiredFieldValidator ID="reqToDate" runat="server" ControlToValidate="txtToDate"
                                    Display="None" EnableClientScript="False" ErrorMessage="Enter ToDate"></asp:RequiredFieldValidator>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix">
                    </div>
                    <div class="row">
                        <div class="row">
                            <div class="line16">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <asp:UpdatePanel ID="upOrgLevel" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <asp:PlaceHolder ID="PlaceHolderDetailedAttendance" runat="server">
                                        <uc:OrganizationLevel ID="ucOrganizationLevel" runat="server" />
                                    </asp:PlaceHolder>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                    <div class="row" id="trView" runat="server">
                        <div class="col-md-5">
                        </div>
                        <div class="col-md-6">
                            <div class="pull-right-button">
                                <asp:LinkButton ID="lnkbtnGrid" Text="&nbsp;&nbsp;Grid Report" CssClass="btn save-btn fa-eye" runat="server" OnClick="lnkbtnGrid_Click"
                                    OnClientClick="return DateEntryValidation()" />
                                <asp:LinkButton ID="btn_View" CssClass="btn save-btn fa-eye" runat="server" OnClientClick="return DateEntryValidation()"
                                    OnClick="btn_View_Click" />
                                <asp:LinkButton ID="btn_Export" CssClass="btn save-btn fa-file-excel-o" runat="server"
                                    OnClick="btn_Export_Click" OnClientClick="return DateEntryValidation()" />
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="row">
                            <div class="line16">
                            </div>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-12">
                            <div class="pull-right-button">
                                <asp:LinkButton ID="btnCustWindow" Visible="false" runat="server" CssClass="btn save-btn fa-folder-open-o"
                                    Text="&nbsp;&nbsp;Field Lists" OnClientClick="ShowHideCustomizationWindow();"></asp:LinkButton>
                                <asp:LinkButton ID="lnktbnexcel" Visible="false" ToolTip="Excel" CommandName="excel" runat="server" CssClass="btn del-btn fa-file-excel-o" OnClick="btnExport_Click">
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnkbtnpdf" Visible="false" ToolTip="Pdf" CommandName="pdf" runat="server" CssClass="btn del-btn fa-file-pdf-o" OnClick="btnExport_Click">
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnbtnClear" Visible="false" Text="&nbsp;&nbsp;Clear" runat="server" CssClass="btn del-btn" OnClick="lnbtnClear_Click">
                                </asp:LinkButton>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-12">
                            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <dxw:ASPxGridView ID="gvData" Visible="false" SettingsBehavior-AllowSort="false" ClientInstanceName="gvData" runat="server"
                                        AutoGenerateColumns="false" Width="100%" Settings-HorizontalScrollBarMode="Auto">
                                        <Columns>
                                            <dxw:GridViewDataTextColumn Width="90px" FieldName="Employee_Code_Id" Caption="Employee ID" VisibleIndex="0">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEID" Text='<%# Eval("Employee_Code_Id") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Name" VisibleIndex="1" Width="260px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblName" Text='<%# Eval("Name") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="2" FieldName="AFDay1" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay1" Text='<%# Eval("AFDay1") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="3" FieldName="AFDay2" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay2" Text='<%# Eval("AFDay2") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="4" FieldName="AFDay3" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay3" Text='<%# Eval("AFDay3") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="5" FieldName="AFDay4" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay4" Text='<%# Eval("AFDay4") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="6" FieldName="AFDay5" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay5" Text='<%# Eval("AFDay5") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="7" FieldName="AFDay6" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay6" Text='<%# Eval("AFDay6") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="8" FieldName="AFDay7" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay7" Text='<%# Eval("AFDay7") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="9" FieldName="AFDay8" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay8" Text='<%# Eval("AFDay8") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="10" FieldName="AFDay9" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay9" Text='<%# Eval("AFDay9") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="11" FieldName="AFDay10" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay10" Text='<%# Eval("AFDay10") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="12" FieldName="AFDay11" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay11" Text='<%# Eval("AFDay11") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="13" FieldName="AFDay12" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay12" Text='<%# Eval("AFDay12") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="14" FieldName="AFDay13" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay13" Text='<%# Eval("AFDay13") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="15" FieldName="AFDay14" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay14" Text='<%# Eval("AFDay14") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="16" FieldName="AFDay15" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay15" Text='<%# Eval("AFDay15") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="17" FieldName="AFDay16" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay16" Text='<%# Eval("AFDay16") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="18" FieldName="AFDay17" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay17" Text='<%# Eval("AFDay17") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="19" FieldName="AFDay18" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay18" Text='<%# Eval("AFDay18") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="20" FieldName="AFDay19" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay19" Text='<%# Eval("AFDay19") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="21" FieldName="AFDay20" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay20" Text='<%# Eval("AFDay20") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="22" FieldName="AFDay21" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay21" Text='<%# Eval("AFDay21") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="23" FieldName="AFDay22" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay22" Text='<%# Eval("AFDay22") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="24" FieldName="AFDay23" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay23" Text='<%# Eval("AFDay23") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="25" FieldName="AFDay24" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay24" Text='<%# Eval("AFDay24") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="26" FieldName="AFDay25" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay25" Text='<%# Eval("AFDay25") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="27" FieldName="AFDay26" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay26" Text='<%# Eval("AFDay26") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="28" FieldName="AFDay27">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay27" Text='<%# Eval("AFDay27") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="29" FieldName="AFDay28" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay28" Text='<%# Eval("AFDay28") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="30" FieldName="AFDay29" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay29" Text='<%# Eval("AFDay29") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="31" FieldName="AFDay30" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay30" Text='<%# Eval("AFDay30") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="32" FieldName="AFDay31" Width="80">
                                                <DataItemTemplate>
                                                    <asp:Label ID="AFDay31" Text='<%# Eval("AFDay31") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="33" FieldName="PD" Width="40px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblP" Text='<%# Eval("PD") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False"  />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="34" FieldName="AD" Width="40px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblA" Text='<%# Eval("AD") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False"  />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="35" FieldName="WOD" Width="44px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblWO" Text='<%# Eval("WOD") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False"  />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="36" FieldName="HD" Width="40px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblH" Text='<%# Eval("HD") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False"  />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="37" FieldName="LD" Width="48px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblL" Text='<%# Eval("LD") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False"  />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="38" FieldName="TotalOTHrs" Width="100px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblTotOTHrs" Text='<%# Eval("TotalOTHrs") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False"  />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="39" FieldName="TOTD" Width="40px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblTD" Text='<%# Eval("TOTD") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False"  />
                                            </dxw:GridViewDataTextColumn>
                                        </Columns>
                                        <ClientSideEvents CustomizationWindowCloseUp="function(s, e) { UpdateCustomizationWindowValue(); }" />
                                        <SettingsPager PageSize="30">
                                            <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="100,200,500,1000,2000" />
                                        </SettingsPager>
                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="true" HorizontalScrollBarMode="Auto" ShowGroupPanel="true" VerticalScrollBarMode="Hidden" VerticalScrollableHeight="400" ShowTitlePanel="true" />
                                        <SettingsText EmptyDataRow="No Records Found" />
                                        <SettingsSearchPanel Visible="true" HighlightResults="true" ShowApplyButton="true" ShowClearButton="true" />
                                        <SettingsCustomizationWindow Enabled="True" />
                                        <SettingsBehavior AutoExpandAllGroups="True" ColumnResizeMode="Control" />
                                        <SettingsBehavior AllowDragDrop="true" />
                                    </dxw:ASPxGridView>
                                    <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvData">
                                        <PageFooter Right="[Page # of Pages #]">
                                        </PageFooter>
                                    </dxw:ASPxGridViewExporter>
                                    <dxw:ASPxGridView ID="gvDataDetailed" Visible="false" SettingsBehavior-AllowSort="false" ClientInstanceName="gvData" runat="server"
                                        AutoGenerateColumns="false" Width="100%" Settings-HorizontalScrollBarMode="Auto" OnHtmlRowCreated="gvDataDetailed_HtmlRowCreated">
                                        <Columns>
                                            <dxw:GridViewDataTextColumn Width="90px" FieldName="Employee_Code_Id" Caption="Employee ID" VisibleIndex="0">
                                                <Settings AllowAutoFilter="True" />
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEID" Text='<%# Eval("Employee_Code_Id") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Name" VisibleIndex="1" Width="260px">
                                                <Settings AllowAutoFilter="True" />
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblName" Text='<%# Eval("Name") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="2" FieldName="EF_Day1" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day1" Text='<%# Eval("EF_Day1") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="3" FieldName="EF_Day2" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day2" Text='<%# Eval("EF_Day2") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="4" FieldName="EF_Day3" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day3" Text='<%# Eval("EF_Day3") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="5" FieldName="EF_Day4" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day4" Text='<%# Eval("EF_Day4") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="6" FieldName="EF_Day5" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day5" Text='<%# Eval("EF_Day5") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="7" FieldName="EF_Day6" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day6" Text='<%# Eval("EF_Day6") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="8" FieldName="EF_Day7" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day7" Text='<%# Eval("EF_Day7") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="9" FieldName="EF_Day8" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day8" Text='<%# Eval("EF_Day8") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="10" FieldName="EF_Day9" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day9" Text='<%# Eval("EF_Day9") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="11" FieldName="EF_Day10" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day10" Text='<%# Eval("EF_Day10") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="12" FieldName="EF_Day11" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day11" Text='<%# Eval("EF_Day11") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="13" FieldName="EF_Day12" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day12" Text='<%# Eval("EF_Day12") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="14" FieldName="EF_Day13" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day13" Text='<%# Eval("EF_Day13") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="15" FieldName="EF_Day14" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day14" Text='<%# Eval("EF_Day14") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="16" FieldName="EF_Day15" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day15" Text='<%# Eval("EF_Day15") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="17" FieldName="EF_Day16" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day16" Text='<%# Eval("EF_Day16") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="18" FieldName="EF_Day17" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day17" Text='<%# Eval("EF_Day17") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="19" FieldName="EF_Day18" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day18" Text='<%# Eval("EF_Day18") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="20" FieldName="EF_Day19" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day19" Text='<%# Eval("EF_Day19") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="21" FieldName="EF_Day20" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day20" Text='<%# Eval("EF_Day20") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="22" FieldName="EF_Day21" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day21" Text='<%# Eval("EF_Day21") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="23" FieldName="EF_Day22" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day22" Text='<%# Eval("EF_Day22") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="24" FieldName="EF_Day23" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day23" Text='<%# Eval("EF_Day23") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="25" FieldName="EF_Day24" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day24" Text='<%# Eval("EF_Day24") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="26" FieldName="EF_Day25" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day25" Text='<%# Eval("EF_Day25") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="27" FieldName="EF_Day26" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day26" Text='<%# Eval("EF_Day26") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="28" FieldName="EF_Day27" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day27" Text='<%# Eval("EF_Day27") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="29" FieldName="EF_Day28" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day28" Text='<%# Eval("EF_Day28") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="30" FieldName="EF_Day29" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day29" Text='<%# Eval("EF_Day29") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="31" FieldName="EF_Day30" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day30" Text='<%# Eval("EF_Day30") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn VisibleIndex="32" FieldName="EF_Day31" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="F_Day31" Text='<%# Eval("EF_Day31") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                        </Columns>
                                        <ClientSideEvents CustomizationWindowCloseUp="function(s, e) { UpdateCustomizationWindowValue(); }" />
                                        <SettingsPager PageSize="30">
                                            <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="100,200,500,1000,2000" />
                                        </SettingsPager>
                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="true" HorizontalScrollBarMode="Auto" ShowGroupPanel="true" VerticalScrollBarMode="Hidden" VerticalScrollableHeight="400" ShowTitlePanel="true" />
                                        <SettingsText EmptyDataRow="No Records Found" />
                                        <SettingsSearchPanel Visible="true" HighlightResults="true" ShowApplyButton="true" ShowClearButton="true" />
                                        <SettingsCustomizationWindow Enabled="True" />
                                        <SettingsBehavior AutoExpandAllGroups="True" ColumnResizeMode="Control" />
                                        <SettingsBehavior AllowDragDrop="true" />
                                    </dxw:ASPxGridView>
                                    <dxw:ASPxGridViewExporter ID="ASPxgve2" runat="server" GridViewID="gvDataDetailed">
                                        <PageFooter Right="[Page # of Pages #]">
                                        </PageFooter>
                                    </dxw:ASPxGridViewExporter>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                    <div class="row" id="trSave" runat="server">
                        <div class="col-md-5">
                        </div>
                        <div class="col-md-6">
                            <div class="pull-right-button">
                                <asp:LinkButton ID="btnSave" Text="Save" CssClass="btn save-btn  fa-floppy-o" runat="server"
                                    OnClick="btnSave_Click" />
                                <asp:LinkButton ID="btnBack" Text="Back" CssClass="btn del-btn fa-close" runat="server"
                                    OnClick="btnBack_Click" />
                                <asp:ValidationSummary ID="ValidationSummary1" ShowMessageBox="true" ShowSummary="false"
                                    runat="server" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="../plugins/datepicker/jquery-1.11.1.min.js"></script>
    <script src="../js/jquery.autocomplete.js" type="text/javascript"></script>
    <script src="../plugins/datepicker/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="../bootstrap/js/1.4.3/jquery.min.js"></script>
    <script src="../bootstrap/js/1.8.5/jquery-ui.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        function UpdateCustomizationWindowValue() {
            var element = document.getElementById("btnCustWindow");
            if (element == null) return;
            element.value = (gvData.IsCustomizationWindowVisible() ? "Hide" : "Show") + " Customization Window";
        }
        function ShowHideCustomizationWindow() {
            if (gvData.IsCustomizationWindowVisible())
                gvData.HideCustomizationWindow();
            else gvData.ShowCustomizationWindow();
            UpdateCustomizationWindowValue();
        }
        $(function () {
            $("#<%= txtEmployeeId.ClientID %>").autocomplete({
                source: function (request, response) {
                    $.getJSON("../AutoCompleteByEmployeeId.ashx?EmpAutoid=" + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                        term: extractLast(request.term)
                    }, response);
                },
                search: function () {
                    // custom minLength
                    var term = extractLast(this.value);
                    if (term.length < 1) {
                        return false;
                    }
                },
                focus: function () {
                    // prevent value inserted on focus
                    return false;
                },
                select: function (event, ui) {
                    var terms = split(this.value);
                    // remove the current input
                    terms.pop();
                    // add the selected item
                    terms.push(ui.item.value);
                    // add placeholder to get the comma-and-space at the end
                    terms.push("");
                    this.value = terms.join(",");
                    return false;
                }
            });
            function split(val) {
                return val.split(/,\s*/);
            }
            function extractLast(term) {
                return split(term).pop();
            }
        });
            $(function () {
                $("#<%= txtEmployeeName.ClientID %>").autocomplete({
                    source: function (request, response) {
                        $.getJSON("../AutoCompleteByName.ashx?EmpAutoid=" + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                            term: extractLast(request.term)
                        }, response);
                    },
                    search: function () {
                        // custom minLength
                        var term = extractLast(this.value);
                        if (term.length < 1) {
                            return false;
                        }
                    },
                    focus: function () {
                        // prevent value inserted on focus
                        return false;
                    },
                    select: function (event, ui) {
                        var terms = split(this.value);
                        // remove the current input
                        terms.pop();
                        // add the selected item
                        terms.push(ui.item.value);
                        // add placeholder to get the comma-and-space at the end
                        terms.push("");
                        this.value = terms.join(",");
                        return false;
                    }
                });
                function split(val) {
                    return val.split(/,\s*/);
                }
                function extractLast(term) {
                    return split(term).pop();
                }
            });
                window.onload = function () {
                    PageOnloadDate();
                };

                $(function () {
                    $('#ctl00_BodyContentPH_txtFromDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value });
                    $('#ctl00_BodyContentPH_txtToDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value });
                });
                $(document).ready(function () {
                    $("#<%=txtEmployeeId.ClientID%>").autocomplete('../AutoCompleteByEmployeeId.ashx?EmpAutoid=' + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                        multiple: true,
                        multipleSeparator: ",",
                        width: 180,
                        highlight: false,
                        scroll: true,
                        scrollHeight: 300,
                        delay: 10
                    });
                });
                $(document).ready(function () {
                    $("#<%=txtEmployeeName.ClientID%>").autocomplete('../AutoCompleteByName.ashx?EmpAutoid=' + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                        multiple: true,
                        multipleSeparator: " ,",
                        width: 200,
                        highlight: false,
                        scroll: true,
                        scrollHeight: 300,
                        delay: 10
                    });
                });
                //values for check date
                var Monthfourdigit = 'Please enter valid date as month, day, and four digit year : Format MM/dd/yyyy.';
                //Adding this line var Datefourdigit='Please enter valid date with correct format dd/MM/yyyy'; as newly
                var Datefourdigit = 'Please enter valid date with correct format dd/MM/yyyy';
                var Invalidyearentry = 'Invalid year entry';
                var Invalidmonthentry = 'Invalid month entry';
                var Invaliddateentry = 'Invalid date entry';
                var DateformatDDMONYYYY = 'Incorrect date format. Enter as DD-MON-YYYY';
                var Entertime = 'Enter time';
                var Valueforhours = 'Invalid value for hours:';
                var Invalidvalueforminutes = 'Invalid value for minutes:';
                var Invalidtimeformat = 'Invalid time format:';
                var EntervalidDateandTime = 'Please enter valid Date and Time';
                var ValiddatemonthMMDDYYHHMM = 'Please enter valid Date and Time MM/dd/yyyy HH:mm';
                var ValiddatemonthMMDDYYHHMMTT = 'Please enter valid Date and Time MM/dd/yyyy hh:mm tt';
                var EntervalidDateandTime = 'Please enter valid Date and Time';
                var Invalidvalueforhours = 'Invalid value for hours:';
                var Invalidvalueforminites = 'Invalid value for minutes:';
                var MaxLength = "Maximum length is ";
                function MaxLengthh(maxLength) {
                    MaxLength = maxLength;
                }
                function SetAlertCheckDate(monthfourdigit, datefourdigit, invalidyearentry, invalidmonthentry, invaliddateentry, dateformatDDMONYYYY, entertime, valueforhours, invalidvalueforminutes, invalidtimeformat, entervalidDateandTime, validdatemonthMMDDYYHHMM, validdatemonthMMDDYYHHMMTT, entervalidDateandTime, invalidvalueforhours, invalidvalueforminites) {
                    Monthfourdigit = monthfourdigit;
                    Datefourdigit = datefourdigit;
                    Invalidyearentry = invalidyearentry;
                    Invalidmonthentry = invalidmonthentry;
                    Invaliddateentry = invaliddateentry;
                    DateformatDDMONYYYY = dateformatDDMONYYYY;
                    Entertime = Entertime;
                    Valueforhours = valueforhours;
                    Invalidvalueforminutes = invalidvalueforminutes;
                    Invalidtimeformat = invalidtimeformat;
                    EntervalidDateandTime = entervalidDateandTime;
                    ValiddatemonthMMDDYYHHMM = validdatemonthMMDDYYHHMM;
                    ValiddatemonthMMDDYYHHMMTT = validdatemonthMMDDYYHHMMTT;
                    EntervalidDateandTime = entervalidDateandTime;
                    Invalidvalueforhours = invalidvalueforhours;
                    Invalidvalueforminites = invalidvalueforminites;
                }
                var EnterFromDate = "Enter From Date";
                var EnterToDate = "Enter To Date";
                function SetAlertMessages(enterFromDate, enterToDate) {
                    EnterFromDate = enterFromDate;
                    EnterToDate = enterToDate;
                }
                function DateEntryValidation() {
                    var rangeDemoFormat = document.getElementById('ctl00_BodyContentPH_Hidden1').value;
                    if (document.aspnetForm.ctl00_BodyContentPH_txtFromDate.value != '') {
                        var weekDay = document.aspnetForm.ctl00_BodyContentPH_txtFromDate;
                        var DateFormat = document.getElementById('ctl00_BodyContentPH_Hidden1').value;
                        if (checkDate(weekDay, DateFormat, Monthfourdigit, Datefourdigit, Invalidyearentry, Invalidmonthentry, Invaliddateentry, DateformatDDMONYYYY, Entertime, Valueforhours, Invalidvalueforminutes, Invalidtimeformat, EntervalidDateandTime, ValiddatemonthMMDDYYHHMM, ValiddatemonthMMDDYYHHMMTT, EntervalidDateandTime, Invalidvalueforhours, Invalidvalueforminites)) {
                            if (document.aspnetForm.ctl00_BodyContentPH_txtToDate.value != '') {
                                var weekDay = document.aspnetForm.ctl00_BodyContentPH_txtToDate;
                                var DateFormat = document.getElementById('ctl00_BodyContentPH_Hidden1').value;
                                if (checkDate(weekDay, DateFormat, Monthfourdigit, Datefourdigit, Invalidyearentry, Invalidmonthentry, Invaliddateentry, DateformatDDMONYYYY, Entertime, Valueforhours, Invalidvalueforminutes, Invalidtimeformat, EntervalidDateandTime, ValiddatemonthMMDDYYHHMM, ValiddatemonthMMDDYYHHMMTT, EntervalidDateandTime, Invalidvalueforhours, Invalidvalueforminites)) {
                                }
                                else {
                                    return false;
                                }
                            }
                            else {
                                alert(EnterToDate);
                                return false;
                            }
                        }
                        else {
                            return false;
                        }
                    }
                    else {
                        alert(EnterFromDate);
                        return false;
                    }
                }
    </script>
</asp:Content>